Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 608973 - Review Request: gtk-equinox-engine - Equinox theme engine for GTK+ 2.x
Review Request: gtk-equinox-engine - Equinox theme engine for GTK+ 2.x
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Aloofi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 01:05 EDT by Germán Racca
Modified: 2013-05-21 06:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: gtk-equinox-engine-1.20-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 13:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
julian.fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Germán Racca 2010-06-29 01:05:15 EDT
Spec URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine.spec

SRPM URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine-1.20-4.fc13.src.rpm

Description:
A new engine derived from Aurora 1.4. It features smooth gradients or glassy
effects, subtle shadows, rounded widgets.
________________________________________________________________________________

$ rpmlint SRPMS/gtk-equinox-engine-1.20-4.fc13.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/i686/gtk-equinox-engine-1.20-4.fc13.i686.rpm
gtk-equinox-engine.i686: W: unstripped-binary-or-object /usr/lib/gtk-2.0/2.10.0/engines/libequinox.so
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ koji build --scratch dist-f13 SRPMS/gtk-equinox-engine-1.20-4.fc13.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=2279586
________________________________________________________________________________
Comment 1 Julian Aloofi 2010-06-29 10:09:43 EDT
Builds fine in mock, spec file looks good, engine seems to work.
rpmlint is complaining a bit about permissions in the debuginfo package.

I'll do a full review soon.
Comment 2 Germán Racca 2010-06-29 12:43:36 EDT
Thank you Julian!

Regards,
Germán.
Comment 3 Julian Aloofi 2010-06-30 16:06:15 EDT
Now when installing it under GNOME I notice that the choosable themes in the Appearance menu complain about not finding the "Faenza" and "Faenza-Dark" icon themes. (Equinox, -Dark and -Light)

The engine itself works, but this is a bit annoying.
Comment 4 Germán Racca 2010-06-30 16:44:47 EDT
Well...what do you suggest? Contact upstream to change it?

Regards,
German.
Comment 5 Julian Aloofi 2010-07-01 05:34:28 EDT
I don't know how active upstream is. Looking around on gnome-look.org etc. I didn't even find a Faenza icon theme.

I'd just use sed and replace IconTheme=Faenza-Whatever with IconTheme=gnome in the index.theme files for the themes.
Comment 6 Julian Aloofi 2010-07-01 07:11:10 EDT
sed -i 's/Faenza-Dark/%{replace_theme}/g' %{buildroot}%{_datadir}/themes/Equinox/index.theme
sed -i 's/Faenza Dark/%{replace_theme}/g' %{buildroot}%{_datadir}/themes/Equinox\ Glass/index.theme
sed -i 's/Faenza/%{replace_theme}/g' %{buildroot}%{_datadir}/themes/Equinox\ Light/index.theme

in %install should do the trick. replace_theme could be any icon theme, gnome or Tango or whatever, just be sure to add the Requires for it.
Comment 7 Germán Racca 2010-07-01 17:01:49 EDT
(In reply to comment #5)
> I don't know how active upstream is. Looking around on gnome-look.org etc. I
> didn't even find a Faenza icon theme.
> 
> I'd just use sed and replace IconTheme=Faenza-Whatever with IconTheme=gnome in
> the index.theme files for the themes.    

Faenza is an icon theme under development by the same creator of the engine. In gnome-look.org he said that Faenza is not ready yet.
Comment 8 Germán Racca 2010-07-01 17:03:41 EDT
(In reply to comment #6)
> sed -i 's/Faenza-Dark/%{replace_theme}/g'
> %{buildroot}%{_datadir}/themes/Equinox/index.theme
> sed -i 's/Faenza Dark/%{replace_theme}/g'
> %{buildroot}%{_datadir}/themes/Equinox\ Glass/index.theme
> sed -i 's/Faenza/%{replace_theme}/g' %{buildroot}%{_datadir}/themes/Equinox\
> Light/index.theme
> 
> in %install should do the trick. replace_theme could be any icon theme, gnome
> or Tango or whatever, just be sure to add the Requires for it.    

Hello Julian:

I'm going to change the icon theme in the spec file as you suggest.

Thanks,
German.
Comment 9 Julian Aloofi 2010-07-04 09:33:59 EDT
Okay, by the way the BuildRoot tag is not needed anymore so you can just remove it.
Comment 10 Germán Racca 2010-07-05 23:57:11 EDT
Hello Julian:

I've informed upstream about the changes we'll make in the Fedora package with respect to the icon theme. We'll use Gnome icon theme while Faenza is not ready. Because of this, I've added the corresponding Requires in the spec file.

I've also corrected the release number because I've made a mistake before, and I've removed the BuildRoot tag as you suggested.

Please find the updated files here:

Spec URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine.spec

SRPM URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine-1.20-2.fc13.i686.rpm
________________________________________________________________________________

$ rpmlint SRPMS/gtk-equinox-engine-1.20-2.fc13.src.rpm 
gtk-equinox-engine.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/i686/gtk-equinox-engine-1.20-2.fc13.i686.rpm 
gtk-equinox-engine.i686: W: unstripped-binary-or-object /usr/lib/gtk-2.0/2.10.0/engines/libequinox.so

$ koji build --scratch dist-f13 rpmbuild/SRPMS/gtk-equinox-engine-1.20-2.fc13.src.rpm
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2297296
Comment 11 Germán Racca 2010-07-06 00:03:21 EDT
(In reply to comment #10)

> SRPM URL:
> http://skytux.fedorapeople.org/packages/gtk-equinox-engine-1.20-2.fc13.i686.rpm

Sorry, that url is for the rpm package (that I removed). The source rpm is here:

SRPM URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine-1.20-2.fc13.src.rpm
Comment 12 Julian Aloofi 2010-07-06 10:49:22 EDT
MUST: The package does not yet exist in Fedora. The Review Request is not a
duplicate. OK
MUST: The spec file for the package is legible and macros are used
consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.
OK
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package
that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect
runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files
ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from
upstream, the packager should query upstream to include it. N/A
SHOULD: The package builds in mock.
- builds fine for fedora-13-i386, fedora-rawhide-i386 and fedora-12-i386


NOTE: All files in equinox-1.20/src/ are marked executable. rpmlint doesn't like that when checking the debuginfo package. A chmod 644 on these files in %prep should fix it though.
Comment 13 Germán Racca 2010-07-07 03:31:01 EDT
Hi Julian:

Many thanks for the full review. Executable bits are fixed now, you told me abut that the first time, but I forgot to correct it...sorry :-(

Please find updated files here:

Spec URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine.spec

SRPM URL: http://skytux.fedorapeople.org/packages/gtk-equinox-engine-1.20-3.fc13.src.rpm

Cheers,
Germán.
Comment 14 Julian Aloofi 2010-07-07 11:30:01 EDT
(In reply to comment #13)
> Many thanks for the full review. Executable bits are fixed now, you told me
> abut that the first time, but I forgot to correct it...sorry :-(

No problem at all :)

APPROVED
Comment 15 Germán Racca 2010-07-07 20:26:05 EDT
Thanks for the review Julian!

Germán.
Comment 16 Germán Racca 2010-07-07 21:27:52 EDT
New Package CVS Request
=======================
Package Name: gtk-equinox-engine
Short Description: Equinox theme engine for GTK+ 2.x
Owners: skytux
Branches: F-12 F-13
InitialCC:
Comment 17 Kevin Fenzi 2010-07-09 14:22:13 EDT
CVS done (by process-cvs-requests.py).
Comment 18 Fedora Update System 2010-07-12 12:43:46 EDT
gtk-equinox-engine-1.20-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gtk-equinox-engine-1.20-3.fc12
Comment 19 Fedora Update System 2010-07-12 12:55:23 EDT
gtk-equinox-engine-1.20-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gtk-equinox-engine-1.20-3.fc13
Comment 20 Fedora Update System 2010-08-02 20:31:52 EDT
gtk-equinox-engine-1.20-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-08-02 21:01:01 EDT
gtk-equinox-engine-1.20-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Germán Racca 2013-05-20 21:30:15 EDT
Package Change Request
======================
Package Name: gtk-equinox-engine
New Branches: el6
Owners: skytux

Many people asked me to maintain this package for EPEL.
Comment 23 Gwyn Ciesla 2013-05-21 06:54:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.